=== modified file 'client/drizzleslap.cc'
--- client/drizzleslap.cc	2008-12-09 00:14:38 +0000
+++ client/drizzleslap.cc	2008-12-09 00:32:07 +0000
@@ -2272,7 +2272,7 @@
         fprintf(stderr,"Error allocating memory while parsing options\n");
         exit(1);
       }
-      memcpy(tmp->option, butter_ptr, tmp->option_length);
+      memcpy(tmp->option, buffer_ptr, tmp->option_length);
       tmp->option[tmp->option_length]= 0; 
     }
 

=== modified file 'drizzled/functions/update_hash.cc'
--- drizzled/functions/update_hash.cc	2008-12-07 23:42:51 +0000
+++ drizzled/functions/update_hash.cc	2008-12-09 00:32:07 +0000
@@ -80,12 +80,10 @@
         char *pos= (char*) entry+ ALIGN_SIZE(sizeof(user_var_entry));
         if (entry->value == pos)
           entry->value=0;
-        if (!entry->value)
-          entry->value= (char *)malloc(length);
-        else
-          entry->value= (char *)realloc(entry->value, length);
-        if (!entry->value)
+        void *tmpptr= realloc(entry->value, length);
+        if (tmpptr == NULL)
           return 1;
+        entry->value= (char *)tmpptr;
       }
     }
     if (type == STRING_RESULT)

=== modified file 'drizzled/log_event.cc'
--- drizzled/log_event.cc	2008-12-08 22:00:48 +0000
+++ drizzled/log_event.cc	2008-12-09 00:32:07 +0000
@@ -1974,11 +1974,12 @@
     return; /* sanity check */
   number_of_event_types=
     event_len-(LOG_EVENT_MINIMAL_HEADER_LEN+ST_COMMON_HEADER_LEN_OFFSET+1);
-  /* If alloc fails, we'll detect it in is_valid() */
   post_header_len= (uint8_t*) malloc(number_of_event_types*
                                      sizeof(*post_header_len));
-  memcpy(post_header_len, buf+ST_COMMON_HEADER_LEN_OFFSET+1,
-         number_of_event_types* sizeof(*post_header_len));
+  /* If alloc fails, we'll detect it in is_valid() */
+  if (post_header_len != NULL)
+    memcpy(post_header_len, buf+ST_COMMON_HEADER_LEN_OFFSET+1,
+           number_of_event_types* sizeof(*post_header_len));
   calc_server_version_split();
 
   /*
@@ -4205,9 +4206,7 @@
     const size_t new_alloc=
         block_size * ((cur_size + length + block_size - 1) / block_size);
 
-    unsigned char* const new_buf= 
-      (m_rows_buf) ? (unsigned char*)realloc(m_rows_buf, new_alloc)
-                   : (unsigned char*)malloc(new_alloc);
+    unsigned char* new_buf= (unsigned char*)realloc(m_rows_buf, new_alloc);
     if (unlikely(!new_buf))
       return(HA_ERR_OUT_OF_MEM);
 

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2008-12-07 23:42:51 +0000
+++ drizzled/sql_parse.cc	2008-12-09 00:32:07 +0000
@@ -2427,16 +2427,16 @@
   if (!lex->yacc_yyvs)
     old_info= *yystacksize;
   *yystacksize= set_zone((*yystacksize)*2,MY_YACC_INIT,MY_YACC_MAX);
-  if (!(lex->yacc_yyvs= (lex->yacc_yyvs) 
-        ? (unsigned char*)realloc(lex->yacc_yyvs,
-                                  *yystacksize* sizeof(**yyvs))
-        : (unsigned char*)malloc(*yystacksize*sizeof(**yyvs))))
-      return 1;
-  if (!(lex->yacc_yyss= (lex->yacc_yyss) 
-        ? (unsigned char*)realloc(lex->yacc_yyss,
-                                  *yystacksize* sizeof(**yyss))
-        : (unsigned char*)malloc(*yystacksize*sizeof(**yyss))))
-      return 1;
+  unsigned char *tmpptr= NULL;
+  if (!(tmpptr= (unsigned char *)realloc(lex->yacc_yyvs,
+                                         *yystacksize* sizeof(**yyvs))))
+      return 1;
+  lex->yacc_yyvs= tmpptr;
+  tmpptr= NULL;
+  if (!(tmpptr= (unsigned char*)realloc(lex->yacc_yyss,
+                                        *yystacksize* sizeof(**yyss))))
+      return 1;
+  lex->yacc_yyss= tmpptr;
   if (old_info)
   {						// Copy old info from stack
     memcpy(lex->yacc_yyss, *yyss, old_info*sizeof(**yyss));

=== modified file 'drizzled/sql_plugin.cc'
--- drizzled/sql_plugin.cc	2008-12-07 23:42:51 +0000
+++ drizzled/sql_plugin.cc	2008-12-09 00:32:07 +0000
@@ -1753,20 +1753,18 @@
 
     if (new_size > global_variables_dynamic_size)
     {
-      if (!global_system_variables.dynamic_variables_ptr)
-        global_system_variables.dynamic_variables_ptr= 
-          (char *)malloc(new_size);
-      else
-        global_system_variables.dynamic_variables_ptr=
-          (char *)realloc(global_system_variables.dynamic_variables_ptr,
-                          new_size); 
-      if (!max_system_variables.dynamic_variables_ptr)
-        max_system_variables.dynamic_variables_ptr= 
-          (char *)malloc(new_size);
-      else
-        max_system_variables.dynamic_variables_ptr=
-          (char *)realloc(max_system_variables.dynamic_variables_ptr,
-                          new_size); 
+      char* tmpptr= NULL;
+      if (!(tmpptr=
+              (char *)realloc(global_system_variables.dynamic_variables_ptr,
+                              new_size)))
+        return NULL;
+      global_system_variables.dynamic_variables_ptr= tmpptr;
+      tmpptr= NULL;
+      if (!(tmpptr=
+              (char *)realloc(max_system_variables.dynamic_variables_ptr,
+                              new_size)))
+        return NULL;
+      max_system_variables.dynamic_variables_ptr= tmpptr;
            
       /*
         Clear the new variable value space. This is required for string
@@ -1827,11 +1825,11 @@
 
     pthread_rwlock_rdlock(&LOCK_system_variables_hash);
 
-    session->variables.dynamic_variables_ptr=
-      (session->variables.dynamic_variables_ptr)
-        ? (char *)realloc(session->variables.dynamic_variables_ptr,
-                          global_variables_dynamic_size)
-        : (char *)malloc(global_variables_dynamic_size);
+    char *tmpptr= NULL;
+    if (!(tmpptr= (char *)realloc(session->variables.dynamic_variables_ptr,
+                                  global_variables_dynamic_size)))
+      return NULL;
+    session->variables.dynamic_variables_ptr= tmpptr;
 
     if (global_lock)
       pthread_mutex_lock(&LOCK_global_system_variables);

=== modified file 'storage/archive/ha_archive.cc'
--- storage/archive/ha_archive.cc	2008-12-09 00:00:30 +0000
+++ storage/archive/ha_archive.cc	2008-12-09 00:32:07 +0000
@@ -958,7 +958,7 @@
   if (length > record_buffer->length)
   {
     unsigned char *newptr;
-    if (!(newptr= realloc(record_buffer->buffer, length)))
+    if (!(newptr= (unsigned char *)realloc(record_buffer->buffer, length)))
       return(1);
     record_buffer->buffer= newptr;
     record_buffer->length= length;

